package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (25/01/2012)
 */
public class P06B47T00Datatype implements Serializable {
	
	private String ejercicio = "";
	private String numExp = "";
	private String clave = "";
	private String denom = "";
	private String voltotPrimas = "";
	private String nuevaPrimas = "";
	

	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
		
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the clave.
	 */
	public String getClave() {
		return clave;
	}
	/**
	 * @param clave The clave to set.
	 */
	public void setClave(String clave) {
		this.clave = clave;
	}
	
	/**
	 * @return Returns the denom.
	 */
	public String getDenom() {
		return denom;
	}
	/**
	 * @param denom The denom to set.
	 */
	public void setDenom(String denom) {
		this.denom = denom;
	}
	
	/**
	 * @return Returns the voltotPrimas.
	 */
	public String getVoltotPrimas() {
		return voltotPrimas;
	}
	/**
	 * @param voltotPrimas The voltotPrimas to set.
	 */
	public void setVoltotPrimas(String voltotPrimas) {
		this.voltotPrimas = voltotPrimas;
	}
	
	/**
	 * @return Returns the nuevaPrimas.
	 */
	public String getNuevaPrimas() {
		return nuevaPrimas;
	}
	/**
	 * @param nuevaPrimas The nuevaPrimas to set.
	 */
	public void setNuevaPrimas(String nuevaPrimas) {
		this.nuevaPrimas = nuevaPrimas;
	}
	


	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; clave: ");
		textoImprimir.append(clave);
		textoImprimir.append("; denom: ");
		textoImprimir.append(denom);
		textoImprimir.append("; voltotPrimas: ");
		textoImprimir.append(voltotPrimas);
		textoImprimir.append("; nuevaPrimas: ");
		textoImprimir.append(nuevaPrimas);
		
		return textoImprimir.toString();
	}
	

}
